Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.sd.gen.builder
Class SDGeneratorAdvice

    java.lang.Object
      org.eclipse.emf.mwe.core.lib.AbstractWorkflowComponent
          org.eclipse.emf.mwe.core.ao.AbstractWorkflowAdvice
              org.eclipse.xpand2.GeneratorAdvice
                  org.eclipse.amp.amf.sd.gen.builder.SDGeneratorAdvice

All Implemented Interfaces:
  org.eclipse.emf.mwe.core.WorkflowComponent, org.eclipse.emf.mwe.core.WorkflowComponentWithID, org.eclipse.emf.mwe2.runtime.workflow.IWorkflowComponent

    public class SDGeneratorAdvice

extends org.eclipse.xpand2.GeneratorAdvice

Constructor Summary
`SDGeneratorAdvice()`

Method Summary
`void` | `weave(org.eclipse.emf.mwe.core.WorkflowComponent c, org.eclipse.emf.mwe.core.issues.Issues issues)`

Methods inherited from class org.eclipse.xpand2.GeneratorAdvice
`addAdvice, addAdvices, addExtensionAdvice, addExtensionAdvices, checkConfiguration, getLogMessage, setFileEncoding`

Methods inherited from class org.eclipse.emf.mwe.core.ao.AbstractWorkflowAdvice
`buildList, getAdviceTarget, invokeInternal, setAdviceTarget`

Methods inherited from class org.eclipse.emf.mwe.core.lib.AbstractWorkflowComponent
`checkRequiredConfigProperty, getBridge, getComponentName, getContainer, getId, getLocation, invoke, invoke, postInvoke, preInvoke, setContainer, setId, setLocation, setSkipOnErrors`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SDGeneratorAdvice

    public SDGeneratorAdvice()

Method Detail

### weave

    public void weave(org.eclipse.emf.mwe.core.WorkflowComponent c,
                      org.eclipse.emf.mwe.core.issues.Issues issues)

  Overrides:
    `weave` in class `org.eclipse.xpand2.GeneratorAdvice`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD